Update a VICAL signer
Updates a VICAL signer by:
- Providing a VICAL Signer Certificate (VSC) in PEM format that matches its Certificate Signing Request (CSR).
- Activating or deactivating the VICAL signer. Only VICAL signers with a valid
certificatePemcan be activated. - The
certificatePemfield becomes immutable after it's updated for the first time.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>vicalSignerId*stringUnique identifier of the VICAL signer.
uuidapplication/json- body
active?booleanIndicates whether the VICAL signer is active. Active VICAL signers are included in the selection process MATTR VII uses when choosing the signer to sign a VICAL, where MATTR VII prefers the most recently created active VICAL signer. A VICAL signer can only be set to active once a VICAL Signer Certificate (VSC) has been associated with it.
certificatePem?stringVICAL Signer Certificate (VSC) in PEM format.
VICAL signer updated
application/json- response
VICAL signer after a VICAL Signer Certificate (VSC) has been uploaded. Includes the uploaded certificate in PEM format, as well as the certificate's fingerprint and data.
id*stringEach VICAL signer will have a unique identifier which must be provided when using this VICAL signer to sign a VICAL.
uuidactive*booleanIndicates whether the VICAL signer is active. Active VICAL signers are included in the selection process MATTR VII uses when choosing the signer to sign a VICAL, where MATTR VII prefers the most recently created active VICAL signer. A VICAL signer can only be set to active once a VICAL Signer Certificate (VSC) has been associated with it.
certificatePem*stringVICAL Signer Certificate (VSC) in PEM format.
certificateFingerprint*stringSHA-256 hash of all VSC certificate data and signature.
certificateData*caId?stringUnique identifier of the DTS root CA certificate used as a trust anchor for the VICAL signer.
uuidintermediateCaId?stringUnique identifier of the DTS intermediate CA certificate used to sign the VICAL signer.
uuidcurl -X PUT 'https://example.vii.au01.mattr.global/v1/ecosystems/certificates/vical-signers/123e4567-e89b-12d3-a456-426614174000' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1", "active": true, "certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----", "certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172", "certificateData": { "commonName": "example.com", "country": "US", "notAfter": "2024-10-22T00:00:00Z", "notBefore": "2023-10-22T00:00:00Z" }, "caId": "b0aae560-10e7-4247-8e96-7cdd3578a1e2", "intermediateCaId": "b0aae560-10e7-4247-8e96-7cdd3578a1e2"}How would you rate this page?